Bug 442969

Summary: FEATURE REQUEST: docbook-lint
Product: [Community] Publican Reporter: Michael Hideo <mhideo>
Component: publicanAssignee: Ryan Lerch <rlerch>
Status: CLOSED DEFERRED QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 1.6CC: jfearn, mmcallis, publican-list
Target Milestone: ---Keywords: Documentation
Target Release: ---   
Hardware: All   
OS: Linux   
URL: https://fedorahosted.org/docbook-lint/
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-10-28 21:20:38 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Michael Hideo 2008-04-17 17:37:16 EDT
Description of problem:
https://fedorahosted.org/docbook-lint/

The above looks like a set of interesting tools that looks like they can be
integrated into publican.
Comment 1 Jeff Fearn 2008-04-17 17:58:49 EDT
The internet has 4 billion interesting tools on it. Please specify exactly what
features this tool has that you think would be useful and why integrating them
in to publican is a good idea.
Comment 2 Dave Malcolm 2008-04-22 19:12:42 EDT
As maintainer of docbook-lint, I'm interested in seeing a hook for this added to
publican.   It has various tests that I believe are useful for a document author
(and for QA purposes; I'm a QA engineer at Red Hat with a hobby interest in
DocBook):
- spellchecking, with heuristics about elements that ought to ignore
spellchecking e.g. <computeroutput>
- warn about common markup errors that are valid according to the DTD but tend
to generate poor PDFs/HTML upon going through the toolchain.

Other tests could be implemented e.g. are all images in a format that the
toolchain supports?  are all images in the correct location? etc.  Basically,
whenever the publican documenation mentions some caveat, we can code it up into
a test in docbook-lint and have the tools automatically warn, rather than
needing human inspection.

I imagine integrating it would be a case of adding new target(s) to the publican
common Makefile (along with packaging it), along with work on the docbook-lint
side to add new tests and handle any config necessary, so that a user gets a
good signal:noise ratio on their documents without needing extensive extra config.

Caveat: docbook-lint is immature (e.g. I only just added XInclude support).  So
I suspect the way to go about this is to get docbook-lint to the point where it
runs well on a freshly-created publican document, and then consider adding the
support to publican.
Comment 3 Jeff Fearn 2008-04-23 20:54:38 EDT
This sounds pretty cool, let me know if you need any help with understanding
publican or when it's ready for some integration testing.

Comment 4 Bug Zapper 2008-05-14 05:36:20 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Brennan Ashton 2008-06-07 22:40:07 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 6 Michael Hideo 2008-07-24 00:52:23 EDT
Need to investigate the features further will try to do this in the next 2
months (during f10). Moving to F10